<?php

acf_add_local_field_group(
	array(
		'key'                   => 'group_6204a221b1f36',
		'title'                 => 'Silicon - Single Post Options',
		'fields'                => array(
			array(
				'key'               => 'field_6204a233c690a',
				'label'             => 'Cover Image',
				'name'              => 'cover_image',
				'type'              => 'image',
				'instructions'      => 'Choose the cover image you want to display in your single post. This can be used instead of Post thumbnail if you want them to be different.',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'return_format'     => 'url',
				'preview_size'      => 'full',
				'library'           => 'all',
				'min_width'         => '',
				'min_height'        => '',
				'min_size'          => '',
				'max_width'         => '',
				'max_height'        => '',
				'max_size'          => '',
				'mime_types'        => '',
			),
			array(
				'key'               => 'field_6204a27fc690b',
				'label'             => 'Main Category',
				'name'              => 'main_category',
				'type'              => 'taxonomy',
				'instructions'      => 'Choose a Taxonomy that you want to be the main category. It will be displayed in the meta fields which otherwise displays all categories.',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'taxonomy'          => 'category',
				'field_type'        => 'select',
				'allow_null'        => 0,
				'add_term'          => 0,
				'save_terms'        => 0,
				'load_terms'        => 0,
				'return_format'     => 'object',
				'multiple'          => 0,
			),
			array(
				'key'               => 'field_6204a2c3c690c',
				'label'             => 'Main Category Background',
				'name'              => 'main_category_bg',
				'type'              => 'select',
				'instructions'      => 'Choose a background for the main category. It is used for display in blog grid and list views with sidebar.',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'choices'           => array(
					'bg-primary'   => 'Primary',
					'bg-secondary' => 'Secondary',
					'bg-success'   => 'Success',
					'bg-info'      => 'Info',
					'bg-warning'   => 'Warning',
					'bg-danger'    => 'Danger',
					'bg-light'     => 'Light',
					'bg-dark'      => 'Dark',
				),
				'default_value'     => 'bg-secondary',
				'allow_null'        => 0,
				'multiple'          => 0,
				'ui'                => 0,
				'return_format'     => 'value',
				'ajax'              => 0,
				'placeholder'       => '',
			),
		),
		'location'              => array(
			array(
				array(
					'param'    => 'post_type',
					'operator' => '==',
					'value'    => 'post',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
		'show_in_rest'          => 0,
	)
);
